﻿Public Class MultiWorld

    Private SelectionList() As String = {}
    Public SelectedIndex As Integer

    Overloads Function ShowDialog(ByVal Selections() As String) As DialogResult
        SelectionList = Selections
        SelectedIndex = -1
        Return MyBase.ShowDialog
    End Function

    Private Sub MultiWorld_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        ListBox1.Items.Clear()
        ListBox1.Items.AddRange(SelectionList)
        If (SelectionList Is Nothing) Then
            DialogResult = DialogResult.Cancel
        Else
            If (SelectionList.Length < 1) Then
                DialogResult = DialogResult.Cancel
            ElseIf (SelectionList.Length = 1) Then
                SelectedIndex = 0
                DialogResult = DialogResult.OK
            End If
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        DialogResult = DialogResult.OK
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        DialogResult = DialogResult.Cancel
    End Sub

    Private Sub ListBox1_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListBox1.DoubleClick
        If (SelectedIndex > -1) Then
            DialogResult = DialogResult.OK
        End If
    End Sub

    Private Sub ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox1.SelectedIndexChanged
        SelectedIndex = ListBox1.SelectedIndex
    End Sub
End Class