﻿' RotonAudio
'
' Contains the audio interface. Roton will use this to interact with audio plugins.



Public Interface Audio
    Sub PlaySound(ByVal SoundIndex As Integer)
    Sub PlayTone(ByVal Tone As Integer)
    WriteOnly Property SoundEffect(ByVal Index As Integer) As Byte()
    Sub [Stop]()
End Interface

Public Class AudioNull
    Implements Audio

    Public Sub PlaySound(ByVal SoundIndex As Integer) Implements Audio.PlaySound
        Return
    End Sub

    Public Sub PlayTone(ByVal Tone As Integer) Implements Audio.PlayTone
        Return
    End Sub

    Public WriteOnly Property SoundEffect(ByVal Index As Integer) As Byte() Implements Audio.SoundEffect
        Set(ByVal value As Byte())
            Return
        End Set
    End Property

    Public Sub [Stop]() Implements Audio.Stop
        Return
    End Sub
End Class
