﻿' RotonHelp
'
' Contains code that handles help files.

Imports System.IO



Partial Public Class Environment

    Protected Sub ExecuteHelp(ByVal FileName As String, Optional ByVal Owner As Thing = Nothing)
        Dim HelpString As String

        If (Owner Is Nothing) Then
            Owner = New Thing
        End If
        HelpString = ReadHelpFile(FileName & "." & Parameters.HelpExtension)
        If (HelpString <> "") Then
            ExecuteScroll(Owner, FileName, HelpString)
        End If
    End Sub

    Protected Function ReadHelpFile(ByVal FileName As String) As String
        Dim Data() As Byte
        Dim Ret As String

        Data = Cache.LoadFile(FileName)
        If (Data.Length > 0) Then
            Ret = TextEncoding.GetString(Data)
            ' ZZT removes these for help files
            Ret = Ret.Replace(Chr(13) & Chr(10), Chr(13))
            Return Ret
        End If
        Return ""
    End Function

End Class

