﻿' RotonWorld
'
' Contains a structure that describes properties of a World - mostly player info.



Public Class World
    Public Ammo As Integer
    Public Board As Integer
    Public EnergyCycles As Integer
    Public Flags As List(Of String)
    Public Gems As Integer
    Public Health As Integer
    Public Keys() As Boolean
    Public Name As String
    Public SavedGame As Boolean
    Public Score As Integer
    Public Stones As Integer
    Public TimePassed As Integer
    Public Torches As Integer
    Public TorchCycles As Integer

    Public Sub New()
        SetDefaults()
    End Sub

    Public Sub SetDefaults()
        Ammo = 0
        Gems = 0
        Keys = {False, False, False, False, False, False, False}
        Health = 100
        Board = 0
        Torches = 0
        TorchCycles = 0
        EnergyCycles = 0
        Score = 0
        Name = ""
        TimePassed = 0
        SavedGame = False
        Flags = New List(Of String)
        Stones = -1
    End Sub
End Class

